Subject: Re: [PATCH 3/4] Added tests for the case of merged and unmerged entries for the same file

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Aug 2014 15:21:31 -0700

Jaime Soriano Pastor <[email-masked]> writes:

> On Wed, Aug 20, 2014 at 11:00 PM, Junio C Hamano <[email-masked]> wrote:
>> Jaime Soriano Pastor <[email-masked]> writes:
>>
>>> Signed-off-by: Jaime Soriano Pastor <[email-masked]>
>>> ---
>>>  t/t9904-unmerged-file-with-merged-entry.sh | 86 ++++++++++++++++++++++++++++++
>>
>> Isn't this number already used for another test?  A test on the
>> index probably belongs to t2XXX or t3XXX family.
>>
> Umm, I though this test number was free, I just added it to the last+1
> position, if I finally add a test I'll take this into account. Thanks.

Please check t/README for classes of features and appropriate first
digit; also do not forget that there are topics by other people in
flight and you may need to at least check with the tip of the 'pu'
branch.

Thanks.

>>>  1 file changed, 86 insertions(+)
>>>  create mode 100755 t/t9904-unmerged-file-with-merged-entry.sh
>>>
>>> diff --git a/t/t9904-unmerged-file-with-merged-entry.sh b/t/t9904-unmerged-file-with-merged-entry.sh
>>> new file mode 100755
>>> index 0000000..945bc1c
>>> --- /dev/null
>>> +++ b/t/t9904-unmerged-file-with-merged-entry.sh
>>> @@ -0,0 +1,86 @@
>>> +#!/bin/sh
>>> +
>>> +test_description='Operations with unmerged files with merged entries'
>>> +
>>> +. ./test-lib.sh
>>> +
>>> +setup_repository() {
>>> +...
>>> +}
>>
>> No error is checked here?
>>
> This is only a helper function for setup, not a test itself.

So what?  If the set-up fails, we would want

    $ sh tXXXX-my-test.sh -i

to immediately stop without going further.